{
  "name": "mingluotv",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "lint": "vue-cli-service lint"
  },
  "dependencies": {
    "@jiaminghi/data-view": "^2.10.0",
    "axios": "^0.21.4",
    "echarts": "^5.2.0",
    "element-ui": "2.13.2",
    "js-cookie": "^2.2.1",
    "js-export-excel": "^1.1.2",
    "mint-ui": "^2.2.13",
    "mqtt": "^4.3.7",
    "qrcode": "^1.4.4",
    "qs": "^6.9.0",
    "three": "0.164.1",
    "vue": "2.6.10",
    "vue-count-to": "1.0.13",
    "vue-json-excel": "^0.3.0",
    "vue-jsonp": "^0.1.8",
    "vue-router": "^3.0.1",
    "vue-seamless-scroll": "^1.1.23",
    "vue-splitpane": "1.0.4",
    "vuex": "3.1.0",
    "xlsx": "^0.14.1",
    "xlsx-style": "^0.8.13"
  },
  "devDependencies": {
    "@babel/core": "^7.14.3",
    "@babel/plugin-transform-runtime": "^7.16.5",
    "@babel/preset-env": "^7.14.4",
    "@babel/preset-react": "^7.13.13",
    "@vue/babel-preset-app": "^5.0.4",
    "@vue/cli-plugin-babel": "4.4.4",
    "@vue/cli-plugin-eslint": "4.4.4",
    "@vue/cli-plugin-unit-jest": "4.4.4",
    "@vue/cli-service": "^3.5.0",
    "@vue/test-utils": "1.0.0-beta.29",
    "babel-eslint": "^10.0.1",
    "babel-loader": "^8.2.2",
    "babel-plugin-dynamic-import-node": "^2.3.3",
    "css-loader": "1.0.0",
    "eslint": "4.19.1",
    "eslint-friendly-formatter": "4.0.1",
    "eslint-loader": "2.0.0",
    "eslint-plugin-vue": "4.7.1",
    "jquery": "^2.2.4",
    "sass": "1.26.2",
    "sass-loader": "^10.0.1",
    "script-loader": "^0.7.2",
    "svg-sprite-loader": "^5.1.1",
    "svgo": "1.2.0",
    "vue-loader": "15.3.0",
    "vue-particles": "^1.0.9",
    "vue-style-loader": "4.1.2",
    "vue-template-compiler": "2.6.10",
    "webpack": "4.36.1"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "eslint:recommended"
    ],
    "rules": {
      "vue/multi-word-component-names": [
        "0",
        {
          "ignores": [
            "index",
            "template"
          ]
        }
      ],
      "vue/max-attributes-per-line": [
        "off",
        {
          "singleline": {
            "max": 1
          },
          "multiline": {
            "max": 1
          }
        }
      ],
      "vue/name-property-casing": "off",
      "accessor-pairs": 2,
      "arrow-spacing": [
        2,
        {
          "before": true,
          "after": true
        }
      ],
      "block-spacing": [
        2,
        "always"
      ],
      "brace-style": [
        2,
        "1tbs",
        {
          "allowSingleLine": true
        }
      ],
      "camelcase": [
        0
      ],
      "comma-dangle": [
        2,
        "never"
      ],
      "comma-spacing": [
        2,
        {
          "before": false,
          "after": true
        }
      ],
      "comma-style": [
        2,
        "last"
      ],
      "constructor-super": 2,
      "curly": [
        2,
        "multi-line"
      ],
      "dot-location": [
        2,
        "property"
      ],
      "eol-last": 2,
      "eqeqeq": [
        2,
        "allow-null"
      ],
      "generator-star-spacing": [
        2,
        {
          "before": true,
          "after": true
        }
      ],
      "handle-callback-err": [
        2,
        "^(err|error)$"
      ],
      "indent": [
        2,
        2,
        {
          "SwitchCase": 1
        }
      ],
      "jsx-quotes": [
        2,
        "prefer-single"
      ],
      "key-spacing": [
        2,
        {
          "beforeColon": false,
          "afterColon": true
        }
      ],
      "keyword-spacing": [
        2,
        {
          "before": true,
          "after": true
        }
      ],
      "new-cap": [
        2,
        {
          "newIsCap": true,
          "capIsNew": false
        }
      ],
      "new-parens": 2,
      "no-array-constructor": 2,
      "no-caller": 2,
      "no-console": "off",
      "no-class-assign": 2,
      "no-cond-assign": 2,
      "no-const-assign": 2,
      "no-control-regex": 2,
      "no-delete-var": 2,
      "no-dupe-args": 2,
      "no-dupe-class-members": 2,
      "no-dupe-keys": 2,
      "no-duplicate-case": 2,
      "no-empty-character-class": 2,
      "no-empty-pattern": 2,
      "no-eval": 2,
      "no-ex-assign": 2,
      "no-extend-native": 2,
      "no-extra-bind": 2,
      "no-extra-boolean-cast": 2,
      "no-extra-parens": [
        2,
        "functions"
      ],
      "no-fallthrough": 2,
      "no-floating-decimal": 2,
      "no-func-assign": 2,
      "no-implied-eval": 2,
      "no-inner-declarations": [
        2,
        "functions"
      ],
      "no-invalid-regexp": 2,
      "no-irregular-whitespace": 2,
      "no-iterator": 2,
      "no-label-var": 2,
      "no-labels": [
        2,
        {
          "allowLoop": false,
          "allowSwitch": false
        }
      ],
      "no-lone-blocks": 2,
      "no-mixed-spaces-and-tabs": 2,
      "no-multi-spaces": 2,
      "no-multi-str": 2,
      "no-multiple-empty-lines": [
        2,
        {
          "max": 1
        }
      ],
      "no-native-reassign": 2,
      "no-negated-in-lhs": 2,
      "no-new-object": 2,
      "no-new-require": 2,
      "no-new-symbol": 2,
      "no-new-wrappers": 2,
      "no-obj-calls": 2,
      "no-octal": 2,
      "no-octal-escape": 2,
      "no-path-concat": 2,
      "no-proto": 2,
      "no-redeclare": 2,
      "no-regex-spaces": 2,
      "no-return-assign": [
        2,
        "except-parens"
      ],
      "no-self-assign": 2,
      "no-self-compare": 2,
      "no-sequences": 2,
      "no-shadow-restricted-names": 2,
      "no-spaced-func": 2,
      "no-sparse-arrays": 2,
      "no-this-before-super": 2,
      "no-throw-literal": 2,
      "no-trailing-spaces": 2,
      "no-undef": 2,
      "no-undef-init": 2,
      "no-unexpected-multiline": 2,
      "no-unmodified-loop-condition": 2,
      "no-unneeded-ternary": [
        2,
        {
          "defaultAssignment": false
        }
      ],
      "no-unreachable": 2,
      "no-unsafe-finally": 2,
      "no-unused-vars": [
        2,
        {
          "vars": "all",
          "args": "none"
        }
      ],
      "no-useless-call": 2,
      "no-useless-computed-key": 2,
      "no-useless-constructor": 2,
      "no-useless-escape": 0,
      "no-whitespace-before-property": 2,
      "no-with": 2,
      "one-var": [
        2,
        {
          "initialized": "never"
        }
      ],
      "operator-linebreak": [
        2,
        "after",
        {
          "overrides": {
            "?": "before",
            ":": "before"
          }
        }
      ],
      "padded-blocks": [
        2,
        "never"
      ],
      "quotes": [
        2,
        "single",
        {
          "avoidEscape": true,
          "allowTemplateLiterals": true
        }
      ],
      "semi": [
        2,
        "never"
      ],
      "semi-spacing": [
        2,
        {
          "before": false,
          "after": true
        }
      ],
      "space-before-blocks": [
        2,
        "always"
      ],
      "space-before-function-paren": [
        2,
        "never"
      ],
      "space-in-parens": [
        2,
        "never"
      ],
      "space-infix-ops": 2,
      "space-unary-ops": [
        2,
        {
          "words": true,
          "nonwords": false
        }
      ],
      "spaced-comment": [
        2,
        "always",
        {
          "markers": [
            "global",
            "globals",
            "eslint",
            "eslint-disable",
            "*package",
            "!",
            ","
          ]
        }
      ],
      "template-curly-spacing": [
        2,
        "never"
      ],
      "use-isnan": 2,
      "valid-typeof": 2,
      "wrap-iife": [
        2,
        "any"
      ],
      "yield-star-spacing": [
        2,
        "both"
      ],
      "yoda": [
        2,
        "never"
      ],
      "prefer-const": 2,
      "object-curly-spacing": [
        2,
        "always",
        {
          "objectsInObjects": false
        }
      ],
      "array-bracket-spacing": [
        2,
        "never"
      ]
    },
    "parserOptions": {
      "parser": "babel-eslint"
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ]
}
